Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85689 - Squirrelmail xss patch from latetst errrata causes parse error
Summary: Squirrelmail xss patch from latetst errrata causes parse error
Keywords:
Status: CLOSED DUPLICATE of bug 82600
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: squirrelmail
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-06 00:22 UTC by Darrin Yeager
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-21 01:53:04 UTC


Attachments (Terms of Use)

Description Darrin Yeager 2003-03-06 00:22:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
Line 308 of the xss-patch has a parse error after being applied. The offending
line of the patch is:

+    $filename = 'untitled' . strip_tags($passed_ent_id) .$suffix);

which obviously won't parse by php.

Change line in patch to:

+    $filename = 'untitled' . strip_tags($passed_ent_id) . $suffix;

rebuild RPM and re-install.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install new squirrel mail RPM
2. Try to download an attachemnt
3. Parse error in download.php - this was caused by the xss patch.
    

Additional info:

Comment 1 Darrin Yeager 2003-03-06 00:37:13 UTC
Found Bug 82600 that appears to be the same as this one. It says it was fixed in
 1.2.10-4, yet errata release (RHSA-2003:042-07) has 1.2.10-1. 

Comment 2 Gary Benson 2003-03-06 09:54:24 UTC
1.2.10-4 is in Rawhide.

*** This bug has been marked as a duplicate of 82600 ***


Note You need to log in before you can comment on or make changes to this bug.